Bug 531997 - dhclient-script is broken for IPv6
Summary: dhclient-script is broken for IPv6
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-30 08:37 UTC by Catalin BOIE
Modified: 2009-11-16 07:28 UTC (History)
2 users (show)

Fixed In Version: 4.1.0p1-13.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 07:28:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Removes "break" and fix the logic. (1.20 KB, patch)
2009-10-30 08:52 UTC, Catalin BOIE
no flags Details | Diff

Description Catalin BOIE 2009-10-30 08:37:11 UTC
Description of problem:
Even if a successful IPv6 address is passed to this script, it is not added to the interface.

Version-Release number of selected component (if applicable):
dhclient-4.1.0p1-12.fc12.i68

How reproducible:
Always.

Steps to Reproduce:
1. Add DHCPV6V=yes info ifcfg-eth? and restart network.
2.
3.
  
Actual results:
No IPv6 address added to the interface.

Expected results:
IPv6 address added to the interface.


Additional info:
The culprit is some bugs in dh6client function:
1. "break" is used in "case" and this is wrong, just remove "break".
2. The logic is twisted in tested for new_ipv6_address and new_ipv6_prefixlen: "-n" is used where "-z" must be used.

Comment 1 Catalin BOIE 2009-10-30 08:52:21 UTC
Created attachment 366769 [details]
Removes "break" and fix the logic.

Comment 2 Catalin BOIE 2009-10-30 08:53:51 UTC
Still missing is the following: make_resolv_conf should be aware that two dhclient instances (one IPv4 and one IPv6) can set the nameservers.
It should allow them to coexists.
What do you think?

Comment 3 Fedora Update System 2009-11-06 10:15:28 UTC
dhcp-4.1.0p1-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-13.fc12

Comment 4 Fedora Update System 2009-11-07 00:24:44 UTC
dhcp-4.1.0p1-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11144

Comment 5 Fedora Update System 2009-11-16 07:28:30 UTC
dhcp-4.1.0p1-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.